CharacterDefinition (Lucene 10.5.1 nori API)
Description: declaration: package: org.apache.lucene.analysis.ko.dict, class: CharacterDefinition

Package org.apache.lucene.analysis.ko.dict

# Class CharacterDefinition

java.lang.Object
org.apache.lucene.analysis.morph.CharacterDefinition
org.apache.lucene.analysis.ko.dict.CharacterDefinition

public final class CharacterDefinition extends CharacterDefinition
Character category data.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.analysis.morph.CharacterDefinition

  `CharacterDefinition.LookupCharacterClass`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `ALPHA`
  `static final int`
  `CLASS_COUNT`
  `static final byte`
  `CYRILLIC`
  `static final byte`
  `DEFAULT`
  `static final byte`
  `GREEK`
  `static final byte`
  `HANGUL`
  `static final byte`
  `HANJA`
  `static final byte`
  `HANJANUMERIC`
  `static final byte`
  `HIRAGANA`
  `static final byte`
  `KANJI`
  `static final byte`
  `KATAKANA`
  `static final byte`
  `NGRAM`
  `static final byte`
  `NUMERIC`
  `static final byte`
  `SPACE`
  `static final byte`
  `SYMBOL`

  ### Fields inherited from class org.apache.lucene.analysis.morph.CharacterDefinition

  `characterCategoryMap, FILENAME_SUFFIX`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CharacterDefinition`
  `getInstance()`
  `boolean`
  `hasCoda(char ch)`
  `boolean`
  `isHangul(char c)`
  `boolean`
  `isHanja(char c)`
  `static byte`
  `lookupCharacterClass(String characterClassName)`

  ### Methods inherited from class org.apache.lucene.analysis.morph.CharacterDefinition

  `getCharacterClass, isGroup, isInvoke`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CLASS_COUNT

    public static final int CLASS_COUNT

  - ### NGRAM

    public static final byte NGRAM

  - ### DEFAULT

    public static final byte DEFAULT

  - ### SPACE

    public static final byte SPACE

  - ### SYMBOL

    public static final byte SYMBOL

  - ### NUMERIC

    public static final byte NUMERIC

  - ### ALPHA

    public static final byte ALPHA

  - ### CYRILLIC

    public static final byte CYRILLIC

  - ### GREEK

    public static final byte GREEK

  - ### HIRAGANA

    public static final byte HIRAGANA

  - ### KATAKANA

    public static final byte KATAKANA

  - ### KANJI

    public static final byte KANJI

  - ### HANGUL

    public static final byte HANGUL

  - ### HANJA

    public static final byte HANJA

  - ### HANJANUMERIC

    public static final byte HANJANUMERIC

- ## Method Details

  - ### isHanja

    public boolean isHanja(char c)

  - ### isHangul

    public boolean isHangul(char c)

  - ### hasCoda

    public boolean hasCoda(char ch)

  - ### lookupCharacterClass

    public static byte lookupCharacterClass(String characterClassName)

  - ### getInstance

    public static CharacterDefinition getInstance()